ResourcesSeller Payouts

Update payout configuration

Set payout availability, minimums, fees, and safe destination labels.

PUT
/v2/seller-payouts/configuration

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Select the SellApp store for this API request.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://sell.app/api/v2/seller-payouts/configuration" \  -H "Content-Type: application/json" \  -d '{    "status": "disabled",    "minimum_payout_cents": 1,    "payout_fee_cents": 0,    "destination_type": "bank_account",    "destination_label": "string"  }'
{
  "data": {
    "status": "disabled",
    "currency": "USD",
    "minimum_payout_cents": 0,
    "payout_fee_cents": 0,
    "destination": {
      "type": "bank_account",
      "label": "Bank account ending in 4242"
    }
  }
}
{
  "message": "Unauthenticated."
}
{
  "message": "This action is unauthorized."
}
{
  "message": "The given data was invalid.",
  "errors": {
    "data": [
      "The data field is required."
    ]
  }
}